Name:		ksambaplugin
Summary:	KDE Control Center Module for configuring Samba
Version:	0.4.2
Release:	2mdk
License:	GPL
Group:		Graphical desktop/KDE
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	kdebase-devel
Requires:	samba-server
Url:		http://ksambakdeplugin.sourceforge.net/

%description
KSambaPlugin is a Konqueror plugin which creates a new tab in 
Konqueror's properties dialog for quickly configuring the basic
SAMBA share options of a directory.

KSambaPlugin alsso has a KDE Control Center for more complete
configuration of Samba.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --libdir=%{_libdir} \
	--disable-rpath --disable-debug 
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

mkdir -p %{buildroot}/%{_datadir}/applnk-mdk/Configuration/KDE

mkdir -p %{buildroot}/%{_menudir}
kdedesktop2mdkmenu.pl ksambaplugin "Configuration/KDE/Network" \
%{buildroot}/%{_datadir}/applnk/Settings/Network/kcmsambaconf.desktop \
%{buildroot}/%{_menudir}/%{name}-kdecc "kde" "Samba Configuration"

kdedesktop2mdkmenu.pl ksambaplugin "Configuration/Networking" \
%{buildroot}/%{_datadir}/applnk/Settings/Network/kcmsambaconf.desktop \
%{buildroot}/%{_menudir}/%{name} "kde" "Samba Configuration"
echo "">>%{buildroot}/%{_menudir}/%{name}
cat %{buildroot}/%{_menudir}/%{name}-kdecc >> %{buildroot}/%{_menudir}/%{name}
rm -f %{buildroot}/%{_menudir}/%{name}-kdecc

for i in %{_iconsdir} %{_miconsdir} %{_liconsdir};do
  mkdir -p %{buildroot}/$i
  install -m644 kcm_sambaconf/hi16-app-kcmsambaconf.png %{buildroot}/$i/kcmsambaconf.png
done

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/*
%{_datadir}/applnk/Settings/Network/*
%{_iconsdir}/hicolor/16x16/apps/kcmsambaconf.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_menudir}/*
%{_datadir}/services/*
%doc ChangeLog COPYING INSTALL

%changelog
* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.2-2mdk
- Rebuild

* Fri Jan 24 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.2-1mdk
- Initial Mandrake rpm
